//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLHLIElement Interface
//**************************************************************************

function HTMLLIElement()
{
   var tests = new Array (HTML0001HLIE(),HTML0002HLIE());
   return tests;
}

//------------------------ test case HTML-0001HLIE -------------------------
//
// Testing feature - The "type" attribute is a list item bullet style.
//
// Testing approach - Retrieve the "type" attribute from the first 
//                    LI element of the testing document and examine its
//                    value.  
//
// Semantic Requirements: 1
//
// Last modification date - October 5, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0001HLIE()
 {
   var computedValue = "";
   var expectedValue = "SQUARE";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HLIE");
    results.description = "The \"type\" attribute is a list item bullet style.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(LI,FIRST);
//
// and access its "type" attribute.
//
      computedValue = testNode.node.type;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HLIE -------------------------
//
//------------------------   test case HTML-0002HLIE   -------------------------
//
// Testing feature - The "value" attribute is a reset sequence number when 
//                   used in OL. 
//
// Testing approach - Retrieve the "value" attribute from the first
//                    LI element of the testing document and examine its
//                    value. 
//
// Semantic Requirements: 2 
//
// Last modification date - October 5, 1999
//
// Written by: Mark LaRoy Zimmerman
//----------------------------------------------------------------------------

 function HTML0002HLIE()
 {
   var computedValue = "";
   var expectedValue = 2;
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HLIE");
    results.description = "The \"value\" attribute is a reset sequence "+
                          "number when in OL.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(LI,FIRST);
//
// and access its "value" attribute.
//
      computedValue = testNode.node.value;
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HMTE -------------------------
